import React from 'react';
import ReactDOM from 'react-dom';
import { useUsAtlas } from './useUsAtlas';
import { mapMarks } from './mapMarks';

const width = 960;
const height = 500;

const App = () => {
  const usAtlasData = useUsAtlas();

  if (!usAtlasData) {
    return <pre>Loading...</pre>;
  }
  
  return (
    <svg width={width} height={height}>
      <mapMarks usAtlas={usAtlasData} />
    </svg>
  );
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
