import { geoAlbers, geoPath, geoGraticule } from 'd3';

const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();

export const mapMarks = ({
  usAtlas: { land, interiors }
}) => (
	<g className="marks">
		<path className="sphere" d={path({ type: 'Sphere' })} /> 
    <path className="graticules" d={path(graticule())} />
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
